List Accounts
GET
https://bank.dattaremit.com/api/accountsRequires a bank-scoped key.
Retrieves a list of accounts. Records are sorted by creation date in descending order.
Required scope: accounts:read
Query Params
pageintegerThe page index to retrieve.
per_pageintegerThe number of entities per page to return.
ownerstringThe owner of the entity.
guidstringComma separated account_guids to list accounts for.
typestringComma separated account_types to list accounts for.
bank_guidstringComma separated bank_guids to list accounts for.
customer_guidstringComma separated customer_guids to list accounts for.
labelstringComma separated labels to list accounts for.
include_balancesbooleanWhether to include account balances in the response.
Responses
200get list of accounts
400Invalid requests
401Unauthorized - Authentication failed
403Invalid scope
Request
curl https://api.dattaremit.com/api/accounts \
-H "Authorization: Bearer sk_test_YOUR_KEY"Response
get list of accounts
{
"total": 1,
"page": 1,
"per_page": 1,
"objects": [
{
"type": "string",
"guid": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"asset": "string",
"name": "string",
"bank_guid": "string",
"customer_guid": "string",
"platform_balance": 1,
"minimum_balance_funding_pull": 1,
"platform_available": 1,
"state": "string",
"labels": [
"string"
]
}
]
}